curl --request PUT \
--url https://api.vantage.sh/v2/managed_accounts/{managed_account_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contact_email": "<string>",
"access_credential_tokens": [
"<string>"
],
"billing_rule_tokens": [
"<string>"
],
"email_domain": "<string>",
"msp_billing_profile_token": "<string>",
"payment_terms_days": 123,
"include_managed_account_integrations": true,
"billing_information_attributes": {
"id": 123,
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": [
"<string>"
]
},
"business_information_attributes": {
"id": 123,
"token": "<string>",
"metadata": {
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
}
'import requests
url = "https://api.vantage.sh/v2/managed_accounts/{managed_account_token}"
payload = {
"name": "<string>",
"contact_email": "<string>",
"access_credential_tokens": ["<string>"],
"billing_rule_tokens": ["<string>"],
"email_domain": "<string>",
"msp_billing_profile_token": "<string>",
"payment_terms_days": 123,
"include_managed_account_integrations": True,
"billing_information_attributes": {
"id": 123,
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": ["<string>"]
},
"business_information_attributes": {
"id": 123,
"token": "<string>",
"metadata": { "custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
] }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_email: '<string>',
access_credential_tokens: ['<string>'],
billing_rule_tokens: ['<string>'],
email_domain: '<string>',
msp_billing_profile_token: '<string>',
payment_terms_days: 123,
include_managed_account_integrations: true,
billing_information_attributes: {
id: 123,
token: '<string>',
company_name: '<string>',
country_code: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
billing_email: ['<string>']
},
business_information_attributes: {
id: 123,
token: '<string>',
metadata: {custom_fields: [{name: '<string>', value: '<string>'}]}
}
})
};
fetch('https://api.vantage.sh/v2/managed_accounts/{managed_account_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "acct_dd2fdf6564b60319",
"name": "New Name",
"contact_email": "newguy@acme.com",
"parent_account_token": "acct_bb022aecd1125ada",
"access_credential_tokens": [
"accss_crdntl_686904ffd39a4618"
],
"billing_rule_tokens": [],
"email_domain": null
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Update managed account
Update a Managed Account.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
Update a Managed Account.
The name of the Managed Account.
The contact email address for the Managed Account.
Access Credential (aka Integrations) tokens to assign to the Managed Account.
Billing Rule tokens to assign to the Managed Account, in their desired execution order. Tokens must be ordered by execution group: AWS transforms, then COST inserts, then COST transforms, then monthly post-transform inserts. Within a group any order is accepted and persisted as-is. Submitting a list whose cross-group ordering does not match the pipeline returns a 400.
Email domain to associate with this Managed Account for SSO.
Token of the MSP billing profile to use for this managed account (MSP invoicing accounts only).
Number of days until payment is due after invoice date (MSP invoicing accounts only). Defaults to 10.
Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only). Defaults to false.
Billing address and contact information (MSP invoicing accounts only)
Show child attributes
Show child attributes
Business information and custom fields (MSP invoicing accounts only)
Show child attributes
Show child attributes
Response
ManagedAccount model
The token for the parent Account.
The tokens for the Access Credentials assigned to the Managed Account.
The tokens for the Billing Rules assigned to the Managed Account, in the order they will execute against this account's cost data.
Email domain associated with this Managed Account for SSO.
Token of the MSP billing profile used for this managed account (MSP invoicing accounts only)
Number of days until payment is due after invoice date (MSP invoicing accounts only)
Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only)
Show child attributes
Show child attributes
Show child attributes
Show child attributes